import { ProjectRepository } from '@app/domain/projects/project.repository';
import { Project } from '@app/domain/projects/project.model';
import { Observable } from 'rxjs';

export class UpdateProjectUseCase {
  constructor(private readonly repo: ProjectRepository) {}

  execute(userId: string, data: any): Observable<Project> {
    return this.repo.update(userId, data);
  }
}
